import { Texture, Ticker } from 'pixi.js'
import { SpriteBase } from './SpriteBase'

export class Dot extends SpriteBase {
  constructor(ticker: Ticker, scale: number = 1) {
    super(ticker, scale)
    this.sprite.texture = this.createTexture()
    this.anchor = 0.5
  }

  createTexture(): Texture {
    return Texture.from('dot')
  }
}
